package p05_switch;

import javax.swing.*;

public class DzienTygodnia4 {
    static String nazwaDnia(int numer) {
        switch (numer) {
            case 1: return "poniedziałek";
            case 2: return "wtorek";
            case 3: return "środa";
            case 4: return "czwartek";
            case 5: return "piątek";
            case 6: return "sobota";
            case 7: return "niedziela";
            default: throw new IllegalArgumentException("Nieznany numer " + numer);
        }
    }

    public static void main(String[] args) {
        int numer = Integer.parseInt(JOptionPane.showInputDialog("Podaj numer dnia tygodnia [1-7]"));
        try {
            String nazwa = nazwaDnia(numer);
            JOptionPane.showMessageDialog(null, "To jest " + nazwa);
        } catch (Exception e) {
            JOptionPane.showMessageDialog(null, e, "Błąd", JOptionPane.ERROR_MESSAGE);
        }

        JOptionPane.showMessageDialog(null, "Koniec programu");
    }

}
